<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pixconsumer/_pixquerytemplate.xhtml">
            <ui:param name="managedBean" value="#{pixmConsumer}"/>
            <ui:param name="actorName" value="#{messages['gazelle.PAMSimulator.PIXPatientIdentityConsumer']}"/>
            <ui:param name="transactionName" value="#{messages['net.ihe.gazelle.patientmanager.PIXmQuery']}"/>
            <ui:define name="sutSelectionDiv">
                <ui:include src="/configuration/initiatorFrameFhir.xhtml">
                    <ui:param name="actorKeyword" value="PAT_IDENTITY_X_REF_MGR"/>
                    <ui:param name="diagramImg" value="diag/pixmConsumer.png"/>
                    <ui:param name="currentConfig" value="#{pixmConsumer.selectedSUT}"/>
                    <ui:param name="simuFacility" value="#{messages['gazelle.simulator.pam.IHE']}"/>
                    <ui:param name="simuApplication"
                              value="#{messages['gazelle.patientmanager.PatientManager']}"/>
                    <ui:param name="simulatorConfigurationName"
                              value="#{messages['gazelle.PAMSimulator.PIXPatientIdentityConsumer']}"/>
                    <ui:param name="availableSuts" value="#{pixmConsumer.availableSystems}"/>
                </ui:include>
            </ui:define>
            <ui:define name="personIdentifierParametersEdit">
                <div class="row">
                    <div class="form-horizontal col-md-8">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="extensionIn"/>
                            <ui:define name="label">#{messages['gazelle.PAMSimulator.SourceIdentifierPatientId']}</ui:define>
                            <h:inputText value="#{pixmConsumer.searchedPid.idNumber}"
                                         styleClass="form-control"
                                         id="extensionIn"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="rootIn"/>
                            <ui:define name="label">#{messages['gazelle.PAMSimulator.SourceIdentifierAssigningAuthority']}</ui:define>
                            <h:inputText value="#{pixmConsumer.searchedPid.domain.universalID}"
                                         styleClass="form-control" id="rootIn"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="targetSystem"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.TargetSystem']}</ui:define>
                            <h:inputText id="targetSystem"
                                         value="#{pixmConsumer.currentDomainReturned.universalId}"
                                         styleClass="form-control"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="responseFormatDecorate"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.ResponseFormat']}</ui:define>
                            <h:selectOneRadio id="responseFormatDecorate"
                                              required="true" value="#{pixmConsumer.responseType}">
                                <f:selectItems value="#{pixmConsumer.getAvailableResponseTypes()}"/>
                            </h:selectOneRadio>
                        </s:decorate>
                    </div>
                    <div class="col-md-4"></div>
                </div>
            </ui:define>
            <ui:define name="personIdentifierParametersDisplay">
                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.PAMSimulator.SourceIdentifierPatientId']}</ui:define>
                        <h:outputText value="#{pixmConsumer.searchedPid.idNumber}"/>
                    </ui:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.PAMSimulator.SourceIdentifierAssigningAuthority']}</ui:define>
                        <h:outputText value="#{pixmConsumer.searchedPid.domain.universalID}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.TargetSystem']}</ui:define>
                        <h:outputText value="#{pixmConsumer.currentDomainReturned.universalId}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.ResponseFormat']}</ui:define>
                        <h:outputText value="#{pixmConsumer.responseType.label}"/>
                    </s:decorate>
                </dl>
            </ui:define>
            <ui:define name="displayPatientIdentifier">
                <h:outputText
                        value="#{pid.domain.namespaceID}|#{pid.fullPatientId}"/>
            </ui:define>
            <ui:define name="additionalReport">
                <gri:panel rendered="#{not empty pixmConsumer.referencedPatients}">
                    <f:facet name="header">
                        #{messages['net.ihe.gazelle.patientmanager.CorrespondingPatients']}
                    </f:facet>
                    <rich:list value="#{pixmConsumer.referencedPatients}" var="currentPatientUrl"
                               type="unordered">
                        <h:outputLink
                                value="#{pixmConsumer.getPatientUrl(currentPatientUrl)}">
                            <h:outputText value="#{currentPatientUrl}"/>
                        </h:outputLink>
                    </rich:list>
                </gri:panel>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>